package com.ruoyi.business.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 t_transfer_record
 * 
 * @author wms
 * @date 2022-08-25
 */
@TableName("t_transfer_record")
public class TTransferRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 转移记录编号 */
    @TableId(value = "transferId", type = IdType.ASSIGN_UUID)
    private String transferid;

    /** 物料编码 */
    @Excel(name = "物料编码")
    @TableField("goodsId")
    private String goodsid;

    /** 物料描述 */
    @Excel(name = "物料描述")
    @TableField("goodsName")
    private String goodsname;

    /** 批次号 */
    @Excel(name = "批次号")
    @TableField("productlotId")
    private String productlotid;

    /** 数量 */
    @Excel(name = "数量")
    @TableField("shelfNum")
    private String shelfnum;

    /** 货位 */
    @Excel(name = "货位")
    @TableField("location")
    private String location;

    /** 托盘号 */
    @Excel(name = "托盘号")
    @TableField("ctl")
    private String ctl;

    /** 生产日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生产日期", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("productionDate")
    private Date productiondate;

    /** 有效日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效日期", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("expirationDate")
    private Date expirationdate;

    /** 延期时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "延期时间", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("delayDate")
    private Date delaydate;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @TableField("createTime")
    private Date createtime;

    /** 初始状态 */
    @Excel(name = "初始状态")
    @TableField("fromStatus")
    private String fromstatus;

    /** 目标状态 */
    @Excel(name = "目标状态")
    @TableField("toStatus")
    private String tostatus;

    /** 操作人员 */
    @Excel(name = "操作人员")
    @TableField("userName")
    private String username;

    public void setTransferid(String transferid) 
    {
        this.transferid = transferid;
    }

    public String getTransferid() 
    {
        return transferid;
    }
    public void setGoodsid(String goodsid) 
    {
        this.goodsid = goodsid;
    }

    public String getGoodsid() 
    {
        return goodsid;
    }
    public void setGoodsname(String goodsname) 
    {
        this.goodsname = goodsname;
    }

    public String getGoodsname() 
    {
        return goodsname;
    }
    public void setProductlotid(String productlotid) 
    {
        this.productlotid = productlotid;
    }

    public String getProductlotid() 
    {
        return productlotid;
    }
    public void setShelfnum(String shelfnum) 
    {
        this.shelfnum = shelfnum;
    }

    public String getShelfnum() 
    {
        return shelfnum;
    }
    public void setLocation(String location) 
    {
        this.location = location;
    }

    public String getLocation() 
    {
        return location;
    }
    public void setCtl(String ctl) 
    {
        this.ctl = ctl;
    }

    public String getCtl() 
    {
        return ctl;
    }
    public void setProductiondate(Date productiondate) 
    {
        this.productiondate = productiondate;
    }

    public Date getProductiondate() 
    {
        return productiondate;
    }
    public void setExpirationdate(Date expirationdate) 
    {
        this.expirationdate = expirationdate;
    }

    public Date getExpirationdate() 
    {
        return expirationdate;
    }
    public void setDelaydate(Date delaydate) 
    {
        this.delaydate = delaydate;
    }

    public Date getDelaydate() 
    {
        return delaydate;
    }
    public void setCreateTime(Date createTime)
    {
        this.createtime = createTime;
    }

    public Date getCreateTime()
    {
        return createtime;
    }
    public void setFromstatus(String fromstatus) 
    {
        this.fromstatus = fromstatus;
    }

    public String getFromstatus() 
    {
        return fromstatus;
    }
    public void setTostatus(String tostatus) 
    {
        this.tostatus = tostatus;
    }

    public String getTostatus() 
    {
        return tostatus;
    }
    public void setUsername(String username) 
    {
        this.username = username;
    }

    public String getUsername() 
    {
        return username;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("transferid", getTransferid())
            .append("goodsid", getGoodsid())
            .append("goodsname", getGoodsname())
            .append("productlotid", getProductlotid())
            .append("shelfnum", getShelfnum())
            .append("location", getLocation())
            .append("ctl", getCtl())
            .append("productiondate", getProductiondate())
            .append("expirationdate", getExpirationdate())
            .append("delaydate", getDelaydate())
            .append("fromstatus", getFromstatus())
            .append("tostatus", getTostatus())
            .append("createtime", getCreateTime())
            .append("username", getUsername())
            .toString();
    }
}
